# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define altmenu_section Applications/Sound

Name: gnomeradio
Version: 1.7
Release: alt0.M41.1.svn20080623

Summary: A FM-Tuner program for Gnome desktop
Summary(ru_RU.KOI8-R): FM-  GNOME.
License: %gpl2only
Group: Sound
Url: http://mfcn.ilo.de/%name

# SVN repository
#http://svn.gnome.org/viewvc/gnomeradio/
Source: %name-1.7.svn20080623.tar.bz2 
# tarball
#Source: http://www.wh-hms.uni-ulm.de/~mfcn/%name/packages/%name-%version.tar.gz

%define GConf_ver 2.22.0
%define desktop_file_utils_ver 0.8

PreReq: libGConf-devel >= %GConf_ver librarian

BuildPreReq: rpm-build-gnome >= 0.6
BuildPreReq: libGConf-devel >= %GConf_ver

BuildPreReq: rpm-build-gnome >= 0.6
BuildPreReq: rpm-build-licenses
BuildPreReq: desktop-file-utils >= 0.8

Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver


BuildRequires: gnome-common
BuildRequires: gnome-doc-utils
BuildRequires: gnome-media-devel
BuildRequires: gstreamer-devel
BuildRequires: gst-plugins-devel
BuildRequires: libgnomeui-devel
BuildRequires: liblirc-devel 

BuildRequires: rpm-build-compat >= 0.95

%description
Gnomeradio is a FM radio tuner for the GNOME desktop. It should work
with every FM tuner card that is supported by video4linux. Remote
controls are supported via lirc-support. Gnomeradio can also record
radio as a Wave, MP3 or Ogg files.

%prep
%setup -q -n %name
# don't run gtk_update_icon_cache
subst '/gtk-update/,/fi/d' data/icons/Makefile.*

%build
NOCONFIGURE=1 ./autogen.sh 
%configure \
    --disable-install-schemas

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%update_desktopdb
%gconf2_install %name
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_desktopdb
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%_iconsdir/*/*/*/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README* TODO

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 1.7-alt0.M41.1.svn20080623
- backport to ALTLinux 4.1 (by rpmbph script)

* Sat Jun 28 2008 Yuri N. Sedunov <aris@altlinux.org> 1.7-alt1.svn20080623
- new svn version
- removed old reqs and post{,un} scripts
- updated {pre,post,build}reqs.
- use macros from rpmb-build-gnome and rpm-build-licenses
- URL improved.

* Mon Apr 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6-alt1
- 1.6

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.5-alt1
- First build for Sisyphus.
